////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.send.flickr;

import org.watto.android.event.WSProgressInterface;
import android.app.Notification;


/***********************************************************************************************

***********************************************************************************************/
public class UploadProgressBar implements WSProgressInterface {
  
  Notification notification;
  int maximum = 0;
  
  /***********************************************************************************************
  Constructor
  ***********************************************************************************************/
  public UploadProgressBar(Notification notification, int maximum){
    this.notification = notification;
    this.maximum = maximum;
  }


  /***********************************************************************************************
  Called when the progress value changes
  @param progress the new progress value
  ***********************************************************************************************/
  public void onProgressChanged(long progress){
    notification.contentView.setProgressBar(R.id.progress_upload_notification_progress,maximum,(int)progress,false);
  }


}
